GreatWksGraphInternal::FrameDBField Struct Reference documentation

Public Member Functions | List of all members
GreatWksGraphInternal::FrameDBField Struct Referencefinal

Internal: the DBField zone of a GreatWksGraph. More...

Inheritance diagram for GreatWksGraphInternal::FrameDBField:

## Public Member Functions
| FrameDBField (Frame const &frame)
| constructor
| ~FrameDBField () final
| destructor
Type | getType () const final
| return the frame type
void | print (std::ostream &o) const final
| print funtion
Public Member Functions inherited from GreatWksGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
virtual Type | getType () const
| return the frame type
virtual void | print (std::ostream &o) const
| a virtual print function

## Additional Inherited Members
Public Types inherited from GreatWksGraphInternal::Frame
enum | Type { T_BAD , T_BASIC , T_GROUP , T_PICTURE , T_TEXT , T_DBFIELD , T_UNSET }
| the frame type More...
Public Attributes inherited from GreatWksGraphInternal::Frame
int | m_type
| the zone type
int | m_styleId
| the style identifier
int | m_parent
| the parent identifier
int | m_order
| the z order
long | m_dataSize
| the data size ( if know)
MWAWBox2f | m_box
| the zone bdbox
int | m_page
| the page
std::string | m_extra
| extra data
bool | m_parsed
| true if the frame is send

## Detailed Description

Internal: the DBField zone of a GreatWksGraph.

## Constructor & Destructor Documentation

## ◆ FrameDBField()

GreatWksGraphInternal::FrameDBField::FrameDBField | ( | Frame const & | frame | ) |
| inlineexplicit

constructor

## ◆ ~FrameDBField()

GreatWksGraphInternal::FrameDBField::~FrameDBField | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getType()

Type GreatWksGraphInternal::FrameDBField::getType | ( |  | ) | const
| inlinefinalvirtual

return the frame type

Reimplemented from GreatWksGraphInternal::Frame.

## ◆ print()

void GreatWksGraphInternal::FrameDBField::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print funtion

Reimplemented from GreatWksGraphInternal::Frame.

The documentation for this struct was generated from the following file:

- GreatWksGraph.cxx